package com.brilliance.isc.mda.dao;

import com.brilliance.isc.esb.newmodel.cecm.Cecmame;
import com.brilliance.isc.esb.newmodel.cecm.Cecmset;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.Map;
import java.util.List;

@Mapper
public interface CecmsetMapper {

    int insert(Cecmset record);

    int insertSelective(Cecmset record);

    int updateByPrimaryKeySelective(Cecmset record);

    int updateByPrimaryKey(Cecmset record);

    int deleteByPrimaryKey(Cecmset record);

    int deleteByIds(Collection<Object> collection);

    Cecmset selectByPrimaryKey(Cecmset record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Cecmset> dyncRead(Map<String, Object> dyncMap);

    Cecmset selectByTrninr(String trninr);

    int deleteByTrninr(String trninr);
}